#41 opensp-1.5.1 patch on solaris using gcc-3.4.1

closed-out-of-date
nobody
None
5
2006-01-13
2004-08-20
Niki W. Waibel
No

diff -u -r OpenSP-1.5.1.orig/include/RangeMap.cxx
OpenSP-1.5.1/include/RangeMap.cxx
--- OpenSP-1.5.1.orig/include/RangeMap.cxx Fri Feb
25 17:55:21 2000
+++ OpenSP-1.5.1/include/RangeMap.cxx Fri Aug 20 16:
12:35 2004
@@ -4,6 +4,7 @@
#ifndef RangeMap_DEF_INCLUDED
#define RangeMap_DEF_INCLUDED 1

+#include "constant.h"
#include "RangeMap.h"
#include "ISet.h"
#include "types.h"
diff -u -r OpenSP-1.5.1.orig/lib/splib.h OpenSP-1.5.1/
lib/splib.h
--- OpenSP-1.5.1.orig/lib/splib.h Thu Nov 4 09:
36:14 1999
+++ OpenSP-1.5.1/lib/splib.h Fri Aug 20 15:21:27
2004
@@ -8,3 +8,5 @@
#ifdef SP_PCH
#include "splibpch.h"
#endif /* SP_PCH */
+
+#include "constant.h"

Discussion

  • Terje Bless
    Terje Bless
    2005-08-27

    Logged In: YES
    user_id=8470

    include/RangeMap.cxx already #include's "constant.h" and I
    don't quite see why splib.h would need to.

    Could you expand on this a little, and possibly try to
    reproduce it to see if it's still needed in current CVS?

     
  • Terje Bless
    Terje Bless
    2005-12-16

    • status: open --> pending-out-of-date
     
  • Terje Bless
    Terje Bless
    2005-12-16

    Logged In: YES
    user_id=8470

    This should either be fixed or not a problem with OpenSP
    1.5.2 as of 1.5.2pre1. Please retest with that version and
    repoen the bug if needed.

     
    • status: pending-out-of-date --> closed-out-of-date
     
  • Logged In: YES
    user_id=1312539

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).